Name:          marauroa
Version:       3.9.2
Release:       1%{?dist}
Summary:       Multiplayer Online Engine
# https://sourceforge.net/p/arianne/bugs/5842/
License:       GPLv2+
URL:           https://arianne-project.org/engine/marauroa.html
Source0:       http://downloads.sourceforge.net/arianne/%{name}-%{version}-src.tar.gz

BuildRequires: ant
BuildRequires: icedtea-web
BuildRequires: java-devel
BuildRequires: javapackages-local
#BuildRequires: junit
BuildRequires: jython
BuildRequires: log4j12
# Runtime deps
#BuildRequires: h2
#BuildRequires: mysql-connector-java

Requires:      icedtea-web
Requires:      jython
Requires:      log4j12

BuildArch:     noarch

%description
Marauroa is Arianne's Multiplayer Online Engine,
which you can use to build your own online games.
Marauroa handles object management, asynchronous
database persistence and perception based client
server communication.

Marauroa is completely written in Java using a
multithreaded server architecture with a TCP
oriented network protocol, a MySQL or H2 based
persistence engine and a flexible game system
based on open systems totally expandible and
modifiable by developers. Game rules can be
written in Java, and Python scripts could be
supported with a little work.

Marauroa is based on a philosophy we call Action
Perception, on each turn a perception is sent to
clients explaining them what they percieve and
clients can ask server to do any action in their
names using actions. Marauroa is totally game
agnostic and makes very little assumptions about
what are you trying to do, allowing a great freedom
to create whatever type of game you want.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}
# Cleanup
find -name "*.class" -print -delete
find -name "*.jar" -print -delete

sed -i 's|source="1.5" target="1.5"|source="1.6" target="1.6"|' build.xml
sed -i 's|destdir="${docs}"|destdir="${docs}" additionalparam="-Xdoclint:none"|' build.xml

ln -sf $(build-classpath jython/jython) libs/jython.jar
ln -sf $(build-classpath log4j-1) libs/log4j.jar
ln -sf %{_datadir}/icedtea-web/netx.jar libs/jnlp.jar
# ln -sf $(build-classpath junit) libs/junit-4.4.jar
#./libs/h2.jar
#./libs/mysql-connector-java-5.1.5-bin.jar

%mvn_file %{name}:%{name} %{name}
%mvn_file %{name}:%{name}-client-only %{name}-client-only

%build
# No test task available
ant jar docs

%install
%mvn_artifact %{name}:%{name}:%{version} build-archive/%{name}-%{version}.jar
%mvn_artifact %{name}:%{name}-client-only:%{version} build-archive/%{name}-client-only-%{version}.jar
%mvn_install -J javadocs

%files -f .mfiles
%doc CHANGES.txt README.txt
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%changelog
* Sun Jan 17 2016 gil cattaneo <puntogil@libero.it> 3.9.2-1
- initial rpm
